## osinfo_medialist

osinfo_medialist — A list of installation media

## Functions

OsinfoMediaList * | osinfo_medialist_new ()
OsinfoMediaList * | osinfo_medialist_new_copy ()
OsinfoMediaList * | osinfo_medialist_new_filtered ()
OsinfoMediaList * | osinfo_medialist_new_intersection ()
OsinfoMediaList * | osinfo_medialist_new_union ()

## Types and Values

#define | OSINFO_TYPE_MEDIALIST

## Description

OsinfoMediaList is a list specialization that stores only OsinfoMedia objects.

## Functions

### osinfo_medialist_new ()

    OsinfoMediaList *
    osinfo_medialist_new (void);

Construct a new media list that is initially empty.

#### Returns

an empty media list.

[transfer full]

### osinfo_medialist_new_copy ()

    OsinfoMediaList *
    osinfo_medialist_new_copy (OsinfoMediaList *source);

`osinfo_medialist_new_copy` has been deprecated since version 0.2.2 and should not be used in newly-written code.

Use `osinfo_list_new_copy()` instead.

Construct a new media list that is filled with medias from `source`

#### Parameters

source | the media list to copy |

#### Returns

a copy of the media list.

[transfer full]

### osinfo_medialist_new_filtered ()

    OsinfoMediaList *
    osinfo_medialist_new_filtered (OsinfoMediaList *source,
                                   OsinfoFilter *filter);

`osinfo_medialist_new_filtered` has been deprecated since version 0.2.2 and should not be used in newly-written code.

Use `osinfo_list_new_filtered()` instead.

Construct a new media list that is filled with medias from `source` that match `filter`

#### Parameters

source | the media list to copy |
filter | the filter to apply |

#### Returns

a filtered copy of the media list.

[transfer full]

### osinfo_medialist_new_intersection ()

    OsinfoMediaList *
    osinfo_medialist_new_intersection (OsinfoMediaList *sourceOne,
                                       OsinfoMediaList *sourceTwo);

`osinfo_medialist_new_intersection` has been deprecated since version 0.2.2 and should not be used in newly-written code.

Use `osinfo_list_new_intersection()` instead.

Construct a new media list that is filled with only the medias that are present in both `sourceOne` and `sourceTwo` .

#### Parameters

sourceOne | the first media list to copy |
sourceTwo | the second media list to copy |

#### Returns

an intersection of the two media lists.

[transfer full]

### osinfo_medialist_new_union ()

    OsinfoMediaList *
    osinfo_medialist_new_union (OsinfoMediaList *sourceOne,
                                OsinfoMediaList *sourceTwo);

`osinfo_medialist_new_union` has been deprecated since version 0.2.2 and should not be used in newly-written code.

Use `osinfo_list_new_union()` instead.

Construct a new media list that is filled with all the medias that are present in either `sourceOne` and `sourceTwo` .

#### Parameters

sourceOne | the first media list to copy |
sourceTwo | the second media list to copy |

#### Returns

a union of the two media lists.

[transfer full]

## Types and Values

### OSINFO_TYPE_MEDIALIST

    #define OSINFO_TYPE_MEDIALIST (osinfo_medialist_get_type ())

## See Also

OsinfoList, OsinfoMedia